<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AFML/test/FocusManagerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_15a1dcf98404372b5aa31671439f6987.html">AFML</a></li><li class="navelem"><a class="el" href="dir_a5e318463da77a3e30281cd4eea4096c.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">FocusManagerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_focus_state_8h_source.html">AVSCommon/AVS/FocusState.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_focus_manager_observer_8h_source.html">AVSCommon/SDKInterfaces/MockFocusManagerObserver.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_focus_manager_8h_source.html">AFML/FocusManager.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for FocusManagerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_focus_manager_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_f_m_l_2test_2_focus_manager_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_f_m_l_2test_2_focus_manager_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_f_m_l_2test_2_focus_manager_test_8cpp">
<area shape="rect" id="node3" href="_focus_state_8h.html" title="AVSCommon/AVS/FocusState.h" alt="" coords="1328,425,1541,451"/>
<area shape="rect" id="node5" href="_mock_focus_manager_observer_8h.html" title="AVSCommon/SDKInterfaces\l/MockFocusManagerObserver.h" alt="" coords="245,252,456,291"/>
<area shape="rect" id="node11" href="_focus_manager_8h.html" title="AFML/FocusManager.h" alt="" coords="1192,105,1352,131"/>
<area shape="rect" id="node6" href="_focus_manager_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/FocusManagerObserverInterface.h" alt="" coords="856,339,1088,377"/>
<area shape="rect" id="node17" href="_channel_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ChannelObserverInterface.h" alt="" coords="1472,339,1664,377"/>
<area shape="rect" id="node18" href="_focus_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/FocusManagerInterface.h" alt="" coords="979,252,1170,291"/>
<area shape="rect" id="node21" href="_channel_8h.html" title="AFML/Channel.h" alt="" coords="1302,259,1423,284"/>
<area shape="rect" id="node22" href="_activity_tracker_interface_8h.html" title="AFML/ActivityTrackerInterface.h" alt="" coords="1091,179,1301,204"/>
<area shape="rect" id="node23" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="491,252,685,291"/>
<area shape="rect" id="node28" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="637,339,832,377"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">alexaClientSDK::afml::test::TestClient</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test observer that mocks out the ChannelObserverInterface#<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html#a08c9b5a5cf3e24b23500964340add7d7">onFocusChanged()</a> call.  <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface.html">alexaClientSDK::afml::test::MockActivityTrackerInterface</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test observer that mocks out the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_activity_tracker_interface.html">ActivityTrackerInterface</a>#<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface.html#aa43c7c7b5411498a4d02712ad4bbae1b">notifyOfActivityUpdates()</a> call.  <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface_1_1_expected_channel_state_result.html">alexaClientSDK::afml::test::MockActivityTrackerInterface::ExpectedChannelStateResult</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure of expected <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html">Channel::State</a> result from tests.  <a href="structalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface_1_1_expected_channel_state_result.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html">alexaClientSDK::afml::test::FocusChangeManager</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Manages testing focus changes.  <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html">alexaClientSDK::afml::test::FocusManagerTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test fixture for testing <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html">alexaClientSDK::afml::test::ChannelTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test fixture for testing <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_channel_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1afml"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">alexaClientSDK::afml</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1afml_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html">alexaClientSDK::afml::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6af732ea556fbc933d70a119e463b8cc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a6af732ea556fbc933d70a119e463b8cc">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_acquireInvalidChannelName)</td></tr>
<tr class="memdesc:a6af732ea556fbc933d70a119e463b8cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests acquireChannel with an invalid <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> name, expecting no focus changes to be made.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a6af732ea556fbc933d70a119e463b8cc">More...</a><br /></td></tr>
<tr class="separator:a6af732ea556fbc933d70a119e463b8cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace6ac39470f43e947835d3c3db7fe498"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ace6ac39470f43e947835d3c3db7fe498">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_acquireChannelWithNoOtherChannelsActive)</td></tr>
<tr class="memdesc:ace6ac39470f43e947835d3c3db7fe498"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests acquireChannel, expecting to get Foreground status since no other Channels are active.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ace6ac39470f43e947835d3c3db7fe498">More...</a><br /></td></tr>
<tr class="separator:ace6ac39470f43e947835d3c3db7fe498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27b8dad18fa14abd8c5e8e472c923ee7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a27b8dad18fa14abd8c5e8e472c923ee7">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_acquireLowerPriorityChannelWithOneHigherPriorityChannelTaken)</td></tr>
<tr class="separator:a27b8dad18fa14abd8c5e8e472c923ee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08998902a56e10141dafb4b984eff9e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ac08998902a56e10141dafb4b984eff9e">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_aquireLowerPriorityChannelWithTwoHigherPriorityChannelsTaken)</td></tr>
<tr class="separator:ac08998902a56e10141dafb4b984eff9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68812fe8ba0c3c6f225a6998a7129dda"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a68812fe8ba0c3c6f225a6998a7129dda">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_acquireHigherPriorityChannelWithOneLowerPriorityChannelTaken)</td></tr>
<tr class="separator:a68812fe8ba0c3c6f225a6998a7129dda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9611e1dd2084e25c0149071779e2026f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a9611e1dd2084e25c0149071779e2026f">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_kickOutActivityOnSameChannel)</td></tr>
<tr class="separator:a9611e1dd2084e25c0149071779e2026f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59cc4b4aff60613ade99474e50ffc49f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a59cc4b4aff60613ade99474e50ffc49f">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_simpleReleaseChannel)</td></tr>
<tr class="separator:a59cc4b4aff60613ade99474e50ffc49f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ca250f27bceac48681c4f84cd30c51e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a9ca250f27bceac48681c4f84cd30c51e">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_simpleReleaseChannelWithIncorrectObserver)</td></tr>
<tr class="separator:a9ca250f27bceac48681c4f84cd30c51e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a1659d03566f7984456192ee39e1bd9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a1a1659d03566f7984456192ee39e1bd9">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_releaseForegroundChannelWhileBackgroundChannelTaken)</td></tr>
<tr class="separator:a1a1659d03566f7984456192ee39e1bd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a446ef285c654f816f9097e3a3e4b8c57"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a446ef285c654f816f9097e3a3e4b8c57">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_simpleNonTargetedStop)</td></tr>
<tr class="separator:a446ef285c654f816f9097e3a3e4b8c57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e37685361dd433bdcb1119d9b313dce"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a4e37685361dd433bdcb1119d9b313dce">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_threeNonTargetedStopsWithThreeActivitiesHappening)</td></tr>
<tr class="separator:a4e37685361dd433bdcb1119d9b313dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0128de98f286eb25d508ebef16941ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ae0128de98f286eb25d508ebef16941ca">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_stopForegroundActivityAndAcquireDifferentChannel)</td></tr>
<tr class="separator:ae0128de98f286eb25d508ebef16941ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8c44e95640bf31096d2c3cd48cf5af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a4a8c44e95640bf31096d2c3cd48cf5af">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_stopForegroundActivityAndAcquireSameChannel)</td></tr>
<tr class="separator:a4a8c44e95640bf31096d2c3cd48cf5af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32d7d8c174ded11000c4ceb20b861530"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a32d7d8c174ded11000c4ceb20b861530">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_stopAllActivitiesWithSingleChannel)</td></tr>
<tr class="separator:a32d7d8c174ded11000c4ceb20b861530"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d2c41a7f62773f81ef13392eae578e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a1d2c41a7f62773f81ef13392eae578e1">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_stopAllActivitiesWithThreeChannels)</td></tr>
<tr class="separator:a1d2c41a7f62773f81ef13392eae578e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78874fd838b0b057562513736315bac2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a78874fd838b0b057562513736315bac2">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_releaseBackgroundChannelWhileTwoChannelsTaken)</td></tr>
<tr class="separator:a78874fd838b0b057562513736315bac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc066c2498be6c4688b1a018cb8ff523"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#afc066c2498be6c4688b1a018cb8ff523">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_kickOutActivityOnSameChannelWhileOtherChannelsActive)</td></tr>
<tr class="separator:afc066c2498be6c4688b1a018cb8ff523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87451864b90d9144a550a9d003f2c890"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a87451864b90d9144a550a9d003f2c890">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_addObserver)</td></tr>
<tr class="memdesc:a87451864b90d9144a550a9d003f2c890"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that multiple observers can be added, and that they are notified of all focus changes.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a87451864b90d9144a550a9d003f2c890">More...</a><br /></td></tr>
<tr class="separator:a87451864b90d9144a550a9d003f2c890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3757356b75c1f5ec36b37c02f8dbf2a8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a3757356b75c1f5ec36b37c02f8dbf2a8">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_removeObserver)</td></tr>
<tr class="memdesc:a3757356b75c1f5ec36b37c02f8dbf2a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that observers can be removed, and that they are no longer notified of focus changes after removal.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a3757356b75c1f5ec36b37c02f8dbf2a8">More...</a><br /></td></tr>
<tr class="separator:a3757356b75c1f5ec36b37c02f8dbf2a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a625e490db31b154436bb158f3a1e16d2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a625e490db31b154436bb158f3a1e16d2">alexaClientSDK::afml::test::TEST_F</a> (FocusManagerTest, test_activityTracker)</td></tr>
<tr class="separator:a625e490db31b154436bb158f3a1e16d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66df94f2beab3acb0b79ee60e4725156"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a66df94f2beab3acb0b79ee60e4725156">alexaClientSDK::afml::test::TEST_F</a> (ChannelTest, test_getName)</td></tr>
<tr class="memdesc:a66df94f2beab3acb0b79ee60e4725156"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that the getName method of <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> works properly.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a66df94f2beab3acb0b79ee60e4725156">More...</a><br /></td></tr>
<tr class="separator:a66df94f2beab3acb0b79ee60e4725156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9c7c25809aa5ff7e57b4117a6d48ad9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ac9c7c25809aa5ff7e57b4117a6d48ad9">alexaClientSDK::afml::test::TEST_F</a> (ChannelTest, test_getPriority)</td></tr>
<tr class="memdesc:ac9c7c25809aa5ff7e57b4117a6d48ad9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that the getPriority method of <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> works properly.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ac9c7c25809aa5ff7e57b4117a6d48ad9">More...</a><br /></td></tr>
<tr class="separator:ac9c7c25809aa5ff7e57b4117a6d48ad9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad559fe503f239e57d94356e4e67b6e3c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ad559fe503f239e57d94356e4e67b6e3c">alexaClientSDK::afml::test::TEST_F</a> (ChannelTest, test_setObserverThenSetFocus)</td></tr>
<tr class="memdesc:ad559fe503f239e57d94356e4e67b6e3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that the observer properly gets notified of focus changes.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ad559fe503f239e57d94356e4e67b6e3c">More...</a><br /></td></tr>
<tr class="separator:ad559fe503f239e57d94356e4e67b6e3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2f28efab9128afb48b8e632baa7e8e0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ab2f28efab9128afb48b8e632baa7e8e0">alexaClientSDK::afml::test::TEST_F</a> (ChannelTest, test_priorityComparison)</td></tr>
<tr class="memdesc:ab2f28efab9128afb48b8e632baa7e8e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that Channels are compared properly.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ab2f28efab9128afb48b8e632baa7e8e0">More...</a><br /></td></tr>
<tr class="separator:ab2f28efab9128afb48b8e632baa7e8e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af900dad5631ea4bda73936a71eeb4199"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#af900dad5631ea4bda73936a71eeb4199">alexaClientSDK::afml::test::TEST_F</a> (ChannelTest, test_hasObserver)</td></tr>
<tr class="memdesc:af900dad5631ea4bda73936a71eeb4199"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that a <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> correctly reports whether it has an observer.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#af900dad5631ea4bda73936a71eeb4199">More...</a><br /></td></tr>
<tr class="separator:af900dad5631ea4bda73936a71eeb4199"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3810c9dc84ca6a82706d08b5c1945024"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a3810c9dc84ca6a82706d08b5c1945024">alexaClientSDK::afml::test::TEST_F</a> (ChannelTest, test_getTimeAtIdle)</td></tr>
<tr class="separator:a3810c9dc84ca6a82706d08b5c1945024"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a79a0a9c75e2da63ed85222b6da9dfa66"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a79a0a9c75e2da63ed85222b6da9dfa66">alexaClientSDK::afml::test::SHORT_TIMEOUT</a> = std::chrono::milliseconds(50)</td></tr>
<tr class="memdesc:a79a0a9c75e2da63ed85222b6da9dfa66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Short time out for when callbacks are expected not to occur.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a79a0a9c75e2da63ed85222b6da9dfa66">More...</a><br /></td></tr>
<tr class="separator:a79a0a9c75e2da63ed85222b6da9dfa66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2112e7611274fc458be2f75b9a7ebd81"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a2112e7611274fc458be2f75b9a7ebd81">alexaClientSDK::afml::test::DEFAULT_TIMEOUT</a> = std::chrono::seconds(15)</td></tr>
<tr class="memdesc:a2112e7611274fc458be2f75b9a7ebd81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Long time out for the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> observer to wait for the focus change callback (we should not reach this).  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a2112e7611274fc458be2f75b9a7ebd81">More...</a><br /></td></tr>
<tr class="separator:a2112e7611274fc458be2f75b9a7ebd81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad134513c6e11f83b95e0189169c263a2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ad134513c6e11f83b95e0189169c263a2">alexaClientSDK::afml::test::DIALOG_CHANNEL_NAME</a> = &quot;DialogChannel&quot;</td></tr>
<tr class="memdesc:ad134513c6e11f83b95e0189169c263a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The dialog <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> name used in initializing the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#ad134513c6e11f83b95e0189169c263a2">More...</a><br /></td></tr>
<tr class="separator:ad134513c6e11f83b95e0189169c263a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65aa66c37ddd9dbb6e277e5fe99d87d6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a65aa66c37ddd9dbb6e277e5fe99d87d6">alexaClientSDK::afml::test::ALERTS_CHANNEL_NAME</a> = &quot;AlertsChannel&quot;</td></tr>
<tr class="memdesc:a65aa66c37ddd9dbb6e277e5fe99d87d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The alerts <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> name used in initializing the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a65aa66c37ddd9dbb6e277e5fe99d87d6">More...</a><br /></td></tr>
<tr class="separator:a65aa66c37ddd9dbb6e277e5fe99d87d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fc75d47d3ce7fcbe9374a390dc4be4b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a2fc75d47d3ce7fcbe9374a390dc4be4b">alexaClientSDK::afml::test::CONTENT_CHANNEL_NAME</a> = &quot;ContentChannel&quot;</td></tr>
<tr class="memdesc:a2fc75d47d3ce7fcbe9374a390dc4be4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The content <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> name used in initializing the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a2fc75d47d3ce7fcbe9374a390dc4be4b">More...</a><br /></td></tr>
<tr class="separator:a2fc75d47d3ce7fcbe9374a390dc4be4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a711dc7200f250d791e700f1ea9d081bb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a711dc7200f250d791e700f1ea9d081bb">alexaClientSDK::afml::test::INCORRECT_CHANNEL_NAME</a> = &quot;aksdjfl;aksdjfl;akdsjf&quot;</td></tr>
<tr class="memdesc:a711dc7200f250d791e700f1ea9d081bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">An incorrect <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> name that is never initialized as a <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a711dc7200f250d791e700f1ea9d081bb">More...</a><br /></td></tr>
<tr class="separator:a711dc7200f250d791e700f1ea9d081bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98a5ca625ba6997f2eddf6525477790a"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a98a5ca625ba6997f2eddf6525477790a">alexaClientSDK::afml::test::DIALOG_CHANNEL_PRIORITY</a> = 10</td></tr>
<tr class="memdesc:a98a5ca625ba6997f2eddf6525477790a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The priority of the dialog <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> used in initializing the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a98a5ca625ba6997f2eddf6525477790a">More...</a><br /></td></tr>
<tr class="separator:a98a5ca625ba6997f2eddf6525477790a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebab1499a42b987526108530b09510c5"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#aebab1499a42b987526108530b09510c5">alexaClientSDK::afml::test::ALERTS_CHANNEL_PRIORITY</a> = 20</td></tr>
<tr class="memdesc:aebab1499a42b987526108530b09510c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The priority of the alerts <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> used in initializing the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#aebab1499a42b987526108530b09510c5">More...</a><br /></td></tr>
<tr class="separator:aebab1499a42b987526108530b09510c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa399e923cd3cb902ef06a393017b921d"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#aa399e923cd3cb902ef06a393017b921d">alexaClientSDK::afml::test::CONTENT_CHANNEL_PRIORITY</a> = 30</td></tr>
<tr class="memdesc:aa399e923cd3cb902ef06a393017b921d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The priority of the content <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> used in initializing the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#aa399e923cd3cb902ef06a393017b921d">More...</a><br /></td></tr>
<tr class="separator:aa399e923cd3cb902ef06a393017b921d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ea027d9ebe4eb175412aa7f1b138870"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a0ea027d9ebe4eb175412aa7f1b138870">alexaClientSDK::afml::test::DIALOG_INTERFACE_NAME</a> = &quot;dialog&quot;</td></tr>
<tr class="memdesc:a0ea027d9ebe4eb175412aa7f1b138870"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sample dialog interface name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a0ea027d9ebe4eb175412aa7f1b138870">More...</a><br /></td></tr>
<tr class="separator:a0ea027d9ebe4eb175412aa7f1b138870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a942cb54cfcc7d53a298a59964af52fe2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a942cb54cfcc7d53a298a59964af52fe2">alexaClientSDK::afml::test::ALERTS_INTERFACE_NAME</a> = &quot;alerts&quot;</td></tr>
<tr class="memdesc:a942cb54cfcc7d53a298a59964af52fe2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sample alerts interface name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#a942cb54cfcc7d53a298a59964af52fe2">More...</a><br /></td></tr>
<tr class="separator:a942cb54cfcc7d53a298a59964af52fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af83d03b89b667d3df55d8612fb053b50"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#af83d03b89b667d3df55d8612fb053b50">alexaClientSDK::afml::test::CONTENT_INTERFACE_NAME</a> = &quot;content&quot;</td></tr>
<tr class="memdesc:af83d03b89b667d3df55d8612fb053b50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sample content interface name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#af83d03b89b667d3df55d8612fb053b50">More...</a><br /></td></tr>
<tr class="separator:af83d03b89b667d3df55d8612fb053b50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa76a1a4cc31a22c6c86e19bce5c400c4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#aa76a1a4cc31a22c6c86e19bce5c400c4">alexaClientSDK::afml::test::DIFFERENT_DIALOG_INTERFACE_NAME</a> = &quot;different dialog&quot;</td></tr>
<tr class="memdesc:aa76a1a4cc31a22c6c86e19bce5c400c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Another sample dialog interface name.  <a href="namespacealexa_client_s_d_k_1_1afml_1_1test.html#aa76a1a4cc31a22c6c86e19bce5c400c4">More...</a><br /></td></tr>
<tr class="separator:aa76a1a4cc31a22c6c86e19bce5c400c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
